routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'language'], function (){
    Auth::routes();
    Route::resource('interpreters', 'InterpretersController');
    Route::get('/', 'InterpretersController@index');
    Route::get('/home', 'HomeController@index')->name('home');


});

Route::get('language/{locale}', 'LanguageSwitcherController@switcher')
    ->name('language.switcher')
    ->where('locale', 'en|ru');

app/Interpreter.php
<?php

namespace App;

use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
class Interpreter extends Model implements TranslatableContract
{
    use Translatable;
    public $translatedAttributes = ['content'];

    protected $fillable = ['user_id'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}

app/InterpreterTranslation.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InterpreterTranslation extends Model
{
    public $timestamps = false;
    protected $fillable = ['content'];
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function interpreters()
    {
        return $this->hasMany(Interpreter::class);
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $message = __('messages.laravel');
        $locale = app()->getLocale();
        return view('home', ['locale' => $locale, 'message' => $message]);
    }
}

app/Http/Controllers/InterpretersController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\InterpreterRequest;
use App\Interpreter;
use Illuminate\Http\Request;

class InterpretersController extends Controller
{
    /**
     * ArticlesController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth')->except('index');
    }
    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        $message = __('messages.laravel');
        $locale = app()->getLocale();
        return view('interpreters.index', ['locale' => $locale, 'message' => $message, 'interpreters' => Interpreter::all()]);
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $interpreter = Interpreter::findOrFail($id);
        return view('interpreters.show', compact('interpreter'));
    }

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function create()
    {
        return view('interpreters.create');
    }

    /**
     * @param InterpreterRequest $request
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(InterpreterRequest $request)
    {
        $interpreter = new Interpreter();
        $locale = $request->session()->get('locale');
        $interpreter->translateOrNew($locale)->content = $request->get('content');
        $interpreter->user_id = $request->user()->id;
        $interpreter->save();
        return redirect(route('interpreters.index'));
    }

    /**
     * @param Interpreter $interpreter
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function edit(Interpreter $interpreter)
    {
        return view('interpreters.edit', compact('interpreter'));
    }
    /**
     * @param InterpreterRequest $request
     * @param Interpreter $interpreter
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(InterpreterRequest $request, Interpreter $interpreter)
    {
        $interpreter->hasTranslation();
        $interpreter->update($request->all());
        return redirect(route('interpreters.index'));
    }

    /**
     * @param InterpreterRequest $request
     * @param Interpreter $interpreter
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function destroy(InterpreterRequest $request, Interpreter $interpreter)
    {
        $interpreter = Interpreter::findOrFail($interpreter);
        $interpreter->delete();

        return redirect(route('interpreters.index'));
    }

}

app/Http/Controllers/LanguageSwitcherController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class LanguageSwitcherController extends Controller
{
    public function switcher(Request $request, string $locale)
    {
        $request->session()->put('locale', $locale);
        return back();
    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                        <h1>{{$locale}}</h1>
                        <h2>{{$message}}</h2>
                    {{ __('You are logged in!') }}
                    <h4>{{__('messages.welcome',['name'=> Auth::user()->name])}}</h4>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/interpreters/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="col-12">
        <h1>{{ __('Create new word')}}</h1>
    </div>
    <div class="col-12">
        <form method="post" action="{{route('interpreters.store')}}">
            @csrf
            <div class="form-group">
                <label for="exampleInputPassword1">{{ __('Content')}}</label>
                <textarea
                    name="content"
                    class="form-control"
                    id="exampleInputPassword1"></textarea>
            </div>
            <button type="submit" class="btn btn-primary">{{ __('Create a word')}}</button>
        </form>
    </div>
    <div style="padding-top: 25px" class="col-2">
        <a href="{{url('/')}}" class="btn btn-primary btn-sm
active" role="button"
           aria-pressed="true">{{ __('Back')}}</a>
    </div>
@endsection

resources/views/interpreters/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="col-md-12">
        <blockquote class="blockquote">
            <p class="mb-2" style="text-align: justify">

            </p>
            <div class="container">
                <div class="row-cols-4">
                        <form action="{{route('interpreters.update', ['interpreter' => $interpreter])}}" method="post">
                            @if(!empty($interpreter->translate('ru')->content))
                                <label for="content"> {{ __('Russian')}}: {{$interpreter->translate('ru')->content}}</label><br>
                            @elseif(!empty($interpreter->translate('en')->content))
                                <label for="content"> {{ __('English')}}: {{$interpreter->translate('en')->content}}</label>
                            @endif
                            <input type="text" name="content" value="{{$interpreter->content}}"/>
                            @csrf
                            @method('put')
                            <button style="margin-top: 10px" type="submit" class="btn btn-primary">{{ __('Update')}}</button>
                        </form>
                    <footer class="blockquote-footer">
                        Author: {{$interpreter->user->email}}, created in
                        <cite title="Created at article">
                            {{$interpreter->created_at->diffForHumans()}}
                        </cite>
                    </footer>
                </div>
                <a href="{{url('/')}}" class="btn btn-primary btn-sm
  active" role="button" aria-pressed="true">{{ __('Back')}}</a>
            </div>
        </blockquote>
    </div>
    </div>
    </div>
@endsection

resources/views/interpreters/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
    <div class="col-6">
        <div class="row">
            <div class="col-2">
                <h3>{{ __('Translator')}}</h3>
            </div>
        </div>
        @if (Auth::check())
            <div class="col-4">
                <a href="{{route('interpreters.create')}}" class="btn btn-primary btn-sm
  active" role="button" aria-pressed="true">{{ __('Create a new translation')}}</a>
            </div>
        @endif
    </div>
    <div class="row">
        @csrf
        @foreach($interpreters as $interpreter)
                      <div class="container">
                          <div class="col-md-3">
                               @if(!empty( $interpreter->content))
                                  <a href="{{route('interpreters.show', ['interpreter' =>
                                    $interpreter])}}" class="card-link"> {{ $interpreter->content }}</a>
                                  <a href="{{route('interpreters.edit', ['interpreter' => $interpreter])}}" class="card-link">{{ __('Edit')}}</a>
                                @endif
                          </div>
                      </div>
        @endforeach
    </div>
    </div>
@endsection

resources/views/interpreters/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="col-md-12">
        <blockquote class="blockquote">
            <div class="container">
                <div class="row-cols-4">
                    <div class="">
                       @if(!empty($interpreter->translate('ru')->content))
                            <label for="content"> {{ __('Russian')}}: {{$interpreter->translate('ru')->content}}</label><br>
                        @endif
                        @if(!empty($interpreter->translate('en')->content))
                            <label for="content"> {{ __('English')}}: {{$interpreter->translate('en')->content}}</label>
                        @endif
                    </div>
                    <footer class="blockquote-footer">
                        Author: {{$interpreter->user->email}}, created in
                        <cite title="Created at article">
                            {{$interpreter->created_at->diffForHumans()}}
                        </cite>
                    </footer>
                </div>
                <a href="{{url('/')}}" class="btn btn-primary btn-sm
  active" role="button" aria-pressed="true">{{ __('Back')}}</a>
            </div>

        </blockquote>
    </div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ __('Translator') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
<div id="app">
    <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
        <div class="container">
            <a class="navbar-brand" href="{{ url('/') }}">
                {{ __( 'Translator') }}
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">

                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    <select class="custom-select" onchange="location = this.value;">
                        <option @if (session('locale') == 'en') selected @endif value="{{route('language.switcher', 'en')}}">
                            EN
                        </option>
                        <option @if (session('locale') == 'ru') selected @endif value="{{route('language.switcher', 'ru')}}">
                            RU
                        </option>
                    </select>
                    <!-- Authentication Links -->
                    @guest
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                        </li>
                        @if (Route::has('register'))
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                            </li>
                        @endif
                    @else
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ Auth::user()->name }} <span class="caret"></span>
                            </a>

                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    {{ __('Logout') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                </ul>
            </div>
        </div>
    </nav>
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <main class="py-4">
        @yield('content')
    </main>
</div>
</body>
</html>